package com.gic.haoban.manage.service.entity.fee;

import java.io.Serializable;
import java.util.Date;

/**
 * 企业微信收费订单成员激活详情(TabHaobanQywxFeeAccountStaff)实体类
 *
 * @author mozhu
 * @since 2022-08-03 16:12:31
 */
public class TabHaobanQywxFeeAccountStaff implements Serializable {
    private static final long serialVersionUID = -61823317787793524L;

    private Long feeAccountStaffId;

    private String corpId;

    private String wxEnterpriseId;
    /**
     * 员工id
     */
    private String wxUserId;
    /**
     * 帐号码
     */
    private String activeCode;
    /**
     * 帐号类型：1:基础帐号，2:互通帐号
     */
    private Integer accountType;
    /**
     * 过期时间
     */
    private Date expireTime;
    /**
     * 激活时间
     */
    private Date activeTime;


    public Long getFeeAccountStaffId() {
        return feeAccountStaffId;
    }

    public void setFeeAccountStaffId(Long feeAccountStaffId) {
        this.feeAccountStaffId = feeAccountStaffId;
    }

    public String getCorpId() {
        return corpId;
    }

    public void setCorpId(String corpId) {
        this.corpId = corpId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }
    
    public String getWxUserId() {
        return wxUserId;
    }

    public void setWxUserId(String wxUserId) {
        this.wxUserId = wxUserId;
    }

    public String getActiveCode() {
        return activeCode;
    }

    public void setActiveCode(String activeCode) {
        this.activeCode = activeCode;
    }

    public Integer getAccountType() {
        return accountType;
    }

    public void setAccountType(Integer accountType) {
        this.accountType = accountType;
    }

    public Date getExpireTime() {
        return expireTime;
    }

    public void setExpireTime(Date expireTime) {
        this.expireTime = expireTime;
    }

    public Date getActiveTime() {
        return activeTime;
    }

    public void setActiveTime(Date activeTime) {
        this.activeTime = activeTime;
    }
}
